---
title: Custom Anachronism Cards
description: Eric's custom cards for the game Anachronism.
date_pub: 2014-03-09T22:49:00-05:00
date_upd: 2018-08-18T13:19:00-04:00
license: CC0
section: games
subsection: anachronism
content_type: feature
render_opts: no_title
---
<img src='/images/anachronism/ana_logo.jpg' class='anaLogo' />

## Intro
Welcome to my custom card collection for the game *Anachronism*. It should be noted up front that I am not and have not ever been directly involved with Triking Games or [The History Channel](http://www.history.com/), except as a Judge during several organized play tournaments of *Anachronism*.

**Disclaimer: I do not own any copyrights to the game or its logos, nor am I attempting to claim the copyright of anything associated with it - all copyrights used herein are the property of their respective owners, whomever they may currently be.**

Now, with that out of the way, let me say a few words about the game itself.

<a href="#" class="topLink">Back to Top</a>

## The Game

Way back in 2005, a company called Triking Games, in conjuction with The History Channel, published a different kind of collectable card game: *Anachronism - The Greatest Game in History*.

I'll leave it to the <a href="http://en.wikipedia.org/wiki/Anachronism_(game)" target="iew_extwin">Great Oracle of All Knowledge</a>
to describe it:

>  The game is a contest of arms between two <a href="http://en.wikipedia.org/wiki/Warrior" target="iew_extwin">warriors</a> from numerous historical periods. Each game lasts a maximum of five rounds. The game is unusual for a card game in that it does not use shuffling as a <a href="http://en.wikipedia.org/wiki/Randomization">randomization</a> technique. <em>Anachronism</em> &quot;decks&quot; consist of five cards, and players do not draw cards or have a &quot;hand&quot; of cards. Despite the relatively small number of cards used in each game, card interactions and strategy can become surprisingly intricate, especially in the later rounds. Each player places his chosen warrior card on the playmat and his four support cards, face down, in slots corresponding to the first four rounds. The support cards may be any combination of inspiration, weapon, armor, or special cards. Each player flips his leftmost face-down support card at the beginning of each round. Initiative numbers on the support cards determine which player goes first in each round. The warrior cards may move and be turned (faced) as in a miniatures game. Support cards represent a variety of historical weapons, armor, items, deities, people, places or concepts such as the <a href="http://en.wikipedia.org/wiki/Nordic_countries" target="iew_extwin">Norse</a> <a href="http://en.wikipedia.org/wiki/Sword" target="iew_extwin">sverd</a> or <a href="http://en.wikipedia.org/wiki/Japan" target="iew_extwin">Japanese</a> book <a href="http://en.wikipedia.org/wiki/The_Book_of_Five_Rings" target="iew_extwin">Go Rin No Sho</a>. The game's name is derived from the ability to mix the various support cards such that the ancient <a href="http://en.wikipedia.org/wiki/Ancient_Greece" target="iew_extwin">Greek</a> <a href="http://en.wikipedia.org/wiki/Leonidas" target="iew_extwin">Leonidas</a> wearing a <a href="http://en.wikipedia.org/wiki/Kimono" target="iew_extwin">kimono</a> may fight a Japanese <a href="http://en.wikipedia.org/wiki/Ninja" target="iew_extwin">ninja</a> who is wielding a <a href="http://en.wikipedia.org/wiki/Gladius" target="iew_extwin">gladius</a>. <a href="http://en.wikipedia.org/wiki/Dice" target="iew_extwin">Dice</a> are used by both the attacker and defender to determine the outcome of battles.

And unlike almost every other CCG, Anachronism packs were not blind boosters, so when you bought a [Genghis Khan](http://en.wikipedia.org/wiki/Genghis_Khan) pack, for example, you knew what 4 other cards were in the pack. And even though each player only needed 1 deck to play, the best combinations usually involved mixing cards from 2 or more packs together, so most of my friends would buy complete (or mostly complete) sets of the decks, just to maximize playability. And my friends and I played it alot, both when hanging out together, and at organized tournaments. In fact, I got into it big enough that I started running weekly, Triking-sponsored tournaments at our <abbr title="Friendly Local Game Store (in our case, Ballistic Comics)">FLGS</abbr>, even hosting the state's only *regional qualifying* tournament for 2006 (to qualify for the World Tournament at Gencon).

Unfortunately, a run of (<abbr title="In My Humble Opinion">IMHO</abbr>) less-appealing cards hit the game, and enthusiasm died down. Before long, the company closed, and Anachronism was just another footnote in gaming history. But that shouldn't mean the end of the game. And with *Anachronism*, it wasn't.

A group of determined former judges and players got together, and before long actually released a print-and-play card set containing cards which Triking had designed prior to their closing, along with an additional set based on the judges own ideas'. It is in the spirit of these "homebrew" sets that I present my own submission to the greater *Anachronism* fan community.

<a href="#" class="topLink">Back to Top</a>

## My Cards

I've created a fair number of cards, and hope to have them all listed here before too long, but for the time being, I've only managed to build pages for my custom US American cards

<a href="#" class="topLink">Back to Top</a>

## Credits

Many thanks to those who supported this project, intentionally or otherwise. Most especially, thanks to:

+ Triking Games and the History Channel, for publishing the game (and the prize support);
+ Ballistic Comics, for carrying the game and hosting the official tournaments (you will be missed);
+ My old play group, for all the good times;
+ Devin Heard for the [Encyclopedia Anachronistica](http://dystemporalia.org/encyclopaedia/) his fantastic interactive card reference (which was immensely helpful in designing the cards);
+ Twan van Laarhoven for [Magic Set Editor](http://magicseteditor.sourceforge.net/) and artfreakwiu for his [Anachronism templates](http://msetemps.sourceforge.net/phpBB3/viewtopic.php?t=144), without which these cards would look alot crappier; and
+ My family (especially my son, KDub) for their playtesting and continued support.

<a href="#" class="topLink">Back to Top</a>
