---
title: Camp Happy Island Massacre
description: Eric's first (and only) computer game, a comedy-horror text game for the DOS operating system.
date_pub: 2018-10-10T19:07:00-04:00
license: CC0
section: games
subsection: chim
content_type: feature
---
<style type='text/css'>
  a code {
    background-color: transparent;
    color: #049c74;
    padding: 0;
  }
  a:hover code {
    color: #040308;
  }
  a:hover:visited code {
    color: #040308;
  }
  a:visited code {
    color: #1e6e58;
  }
  #jsChimDb a {
    color: #049c74;
  }
  #jsChimDb a:hover {
    color: #040308;
  }
  #jsChimDb a:hover:visited {
    color: #040308;
  }
  #jsChimDb a:visited {
    color: #1e6e58;
  }

  #jsChimDb .dosbox-canvas {
    display: block;
    margin: auto;
  }
  .btnFullscreen {
    background-color: #111;
    background-color: rgba(3,3,3,.7);
    color: #049c74 !important;
    display: block;
    margin: .5em auto;
    padding: .5em;
  }
  .dosbox-overlay, .dosbox-loader {
    background-color: #111;
    background-color: rgba(3,3,3,.7);
  }
  .dosbox-start {
    color: #049c74;    
  }
</style>

In 1997, I released my first (and, so far, only) computer game, **Camp Happy Island Massacre**, a comedy-horror text game for the DOS operating system. Originally written while I was still in college, the game is about a cursed summer camp and the 3 surviving counselors who try to stop a horrific force before it claims them.

If you have a functional DOS machine (or an emulator, like [DOSBox](https://www.dosbox.com/)), you can download the game in a [ZIP file](/files/chim/chim.zip), which contains the following files:

+ [`CHIM.EXE`](/files/chim/chim.exe) *(the main executable file)*
+ [`CHIM.FAQ`](/files/chim/chim.faq) *(list of frequently asked questions)*
+ [`FILE_ID.DIZ`](/files/chim/file_id.diz) *(ZIP file descriptor)*
+ [`INTRO.TXT`](/files/chim/intro.txt) *(the intro screen)*
+ [`LICENSE.TXT`](/files/chim/license.txt) *(the distribution license)*
+ [`MAP.TXT`](/files/chim/map.txt) *(a text map of the island)*

And now, thanks to [DOSBox](https://www.dosbox.com/), [Emscripten](http://emscripten.org/), and their unholy lovechild, [JS-DOS](https://js-dos.com/), you can play **Camp Happy Island Massacre** in your browser:

<div id="jsChimDb"></div>
<button class="btnFullscreen" onclick="chim_db.requestFullScreen();">Open in Fullscreen</button>

<script type="text/javascript" src="./js-dos-api.js"></script>
<script type="text/javascript">
  var chim_db = new Dosbox({
    id: "jsChimDb",
    onload: function (chim_db) {
      chim_db.run("/chim/chim-exe.zip", "./CHIM.EXE");
    },
    onrun: function (chim_db, app) {
      console.log("App '" + app + "' is running!");
    }
  });
</script>
