---
title: Web and JavaScript Game Design Tutorials
sub_title: LinkLists
description: A list of sites housing scans from a bunch of public domain comic books, mostly from the 40s and 50s.
date_pub: 2013-10-13T18:12:00-04:00
date_upd: 2022-09-17T01:21:00-04:00
content_type: feature
section: web
subsection: linklists
---

_Compiled 2012-07-23 / Verified 2022-09-17_

The other day (_over a decade ago, as of last update_), my nephew asked me for some advice on learning how to code. Having been a code monkey myself since 3rd grade, I can appreciate the desire to learn coding in general, and game development (his preferred specialty) in particular.

But, things have change alot in the <strike>25</strike> 30+ years since I first learned, and I suspect that learning BASIC on an Apple IIe is no longer the preferred starting method (or even terribly useful). So, after some brief thought, I suggested he learn the art of JavaScript (and the HTML that surrounds it), which I prefer for several reasons:

1. it's simple (or, at least, can be, with the right libraries),
2. it's powerful, thanks to the modern JS engines in Chrome and Firefox, and
3. it's relevant in this modern, interconnected world.

So, in order to simplify the transfer of knowledge for him, I present the Web and JavaScript Game Design Tutorials LinkList, as compiled July 23rd, 2012. The links were last verified on September 17, 2022.

### Links

-   [W3Schools.com](https://www.w3schools.com/) - I've been a fan of this site for years, and found them to be an invaluable resource as I honed my own JavaScript skills. They have basic and advanced tutorials in both [HTML](https://www.w3schools.com/html/) and [JavaScript](https://www.w3schools.com/js/), as well as lots of examples and references.

-   [Tizag](http://www.tizag.com/) - Well I'm not particularly familiar with this site, they look like they have some good from-the-ground-up tutorials on everything from [HTML](http://www.tizag.com/beginnerT/) and [JavaScript](http://www.tizag.com/javascriptT/) to [Perl](http://www.tizag.com/perlT/) and [Flash](http://www.tizag.com/flashTutorial/) (and lots of stuff in between).

-   [Developing HTML5 Canvas Games for Facebook with JavaScript](http://manuel.kiessling.net/2012/04/02/tutorial-developing-html5-canvas-games-for-facebook-with-javascript-part-1/) - A more specific tutorial, written by a developer who wanted to teach his 5-year-old son about video games. Steps through the building of a simple space-shooting game.

-   [Codeacademy](https://www.codecademy.com/) - A relatively new tutorial site, with a social bend. Sign in via Facebook, and earn badges and achievments while you learn. Looks like it might be a great way to learn, as it seems to start right out with an interactive JavaScript command line.

-   [Eloquent JavaScript](https://eloquentjavascript.net/) - A free ((Creative Commons 3.0 Attribution, for those that care about such things.)) ebook designed to be a "modern introduction to programming" by way of the JavaScript language.

-   _The Very Simple Tic-Tac-Toe Tutorial Using HTML5, CSS3, and JavaScript_ (formerly at http://www.dreamincode.net/forums/topic/247361-simple-tic-tac-toe-using-html5-css3-and-javascript/) - The name says it all. A single page tutorial posted to the dreamincode.net forums, covering the step-by-step process of developing a simple game. Link down as of 2022-09-17\_

-   [HTML5 Games 101 - An introductory tutorial to HTML5 Games](https://www.codeproject.com/Articles/230794/HTML5-Games-101-An-introductory-tutorial-to-HTML5) - Another step-by-step tutorial, this one demonstrating how to build a simple snake game.

-   [MDN - Learn Web Development](https://developer.mozilla.org/en-US/docs/Learn) _(New)_ - The Mozilla Developer's Network is a treasure trove of information, with tutorials and reference material for all levels of developer.
