---
title: The Custom Planeswalker Cards of Saturday Night Magic
description: Custom planeswalker cards, based on the friends that I play with during our weekly Saturday Night Magic games.
date_pub: 2022-08-21T15:07:00-04:00
content_type: feature
section: games
subsection: magic-cards
---

Inspired by the (now outdated?) notion that [each Magic player is actually a planeswalker](https://magic.wizards.com/en/articles/archive/feature/you-are-planeswalker-2008-07-25), I designed these custom (unofficial) planeswalker cards based on the friends that I play with during our [weekly Saturday Night Magic games](/magic-decks) and their preferred play styles and decks.

As with [my other custom Magic cards](/magic-cards), these were created with the help of the excellent [MTG Cardsmith](https://mtgcardsmith.com/).

<ul class="clearfix pageMenu pageMenu-gameCards">
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/anora.jpg">
      <img class="gameCardImg" alt="Anora, Temporal Artificer"
        src="/images/magic/planeswalkers/set01/anora.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/arzachai.jpg">
      <img class="gameCardImg" alt="Arzachai, Mana Genius"
        src="/images/magic/planeswalkers/set01/arzachai.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/freyjef.jpg">
      <img class="gameCardImg" alt="Freyjef the Mindbender"
        src="/images/magic/planeswalkers/set01/freyjef.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/hojn.jpg">
      <img class="gameCardImg" alt="Hojn, Spellmaster Unbound"
        src="/images/magic/planeswalkers/set01/hojn.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/ktor.jpg">
      <img class="gameCardImg" alt="K'Tor, Bringer of Ruin"
        src="/images/magic/planeswalkers/set01/ktor.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/mawhett.jpg">
      <img class="gameCardImg" alt="Mawhett, Elven Lifemage"
        src="/images/magic/planeswalkers/set01/mawhett.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/momyt.jpg">
      <img class="gameCardImg" alt="Momyt, Spoiler of Schemes"
        src="/images/magic/planeswalkers/set01/momyt.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/nasoj.jpg">
      <img class="gameCardImg" alt="Nasoj, Necroweaver"
        src="/images/magic/planeswalkers/set01/nasoj.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/riec.jpg">
      <img class="gameCardImg" alt="Ri'ec the Godslayer"
        src="/images/magic/planeswalkers/set01/riec.jpg" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set01/sahyel.jpg">
      <img class="gameCardImg" alt="Sahyel, Who Smashes"
        src="/images/magic/planeswalkers/set01/sahyel.jpg" />
    </a>
  </li>
</ul>

<a href="#" class="topLink">Back to Top</a>

A couple of years later, I made a second round of these, based on our updated player roster.

<ul class="clearfix pageMenu pageMenu-gameCards">
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/anora.png">
      <img class="gameCardImg" alt="Anora, Magus of Eternity"
        src="/images/magic/planeswalkers/set02/anora.png" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/freyjef.png">
      <img class="gameCardImg" alt="Freyjef, Forger of Fates"
        src="/images/magic/planeswalkers/set02/freyjef.png" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/hojn.png">
      <img class="gameCardImg" alt="Hojn, Oracle of Authority"
        src="/images/magic/planeswalkers/set02/hojn.png" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/mawhett.png">
      <img class="gameCardImg" alt="Mawhett, Sublime Sorcerer"
        src="/images/magic/planeswalkers/set02/mawhett.png" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/riec.png">
      <img class="gameCardImg" alt="Ri'ec, Master of Games"
        src="/images/magic/planeswalkers/set02/riec.png" />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/sahyel.png">
      <img class="gameCardImg" alt="Sahyel, Lord of Wrath"
        src="/images/magic/planeswalkers/set02/sahyel.png " />
    </a>
  </li>
  <li class="pageMenu-item">
    <a class="pageMenu-gameCardLink" target="iew_extwin"
      href="/images/magic/planeswalkers/set02/tesh.png">
      <img class="gameCardImg" alt="Tesh, Cosmic Savant"
        src="/images/magic/planeswalkers/set02/tesh.png" />
    </a>
  </li>
</ul>
