---
title: The (Commercial) Web is Dying? So What?
content_type: journal
date_pub: 2015-09-18T00:00:00-04:00
date_upd: 2021-07-10T23:44:00-04:00
description: In defense of ad-blockers and a demonetizied web.
tags: web money blogging
---
Lately, there seems to have been a up-tick in the [never](http://www.tomsguide.com/us/ad-blocking-is-stealing,news-20962.html)-[ending](https://www.techdirt.com/articles/20100306/1649198451.shtml) [debate](http://www.theverge.com/2015/9/17/9338963/welcome-to-hell-apple-vs-google-vs-facebook-and-the-slow-death-of-the-web) about the web, advertising, and content-blocking. While Apple's recent [introduction of content-blockers in iOS9](https://developer.apple.com/library/prerelease/ios/releasenotes/General/WhatsNewInSafari/Articles/Safari_9.html#//apple_ref/doc/uid/TP40014305-CH9-SW8) is the most proximate reason for this discussion, it isn't a new battle, and has been raging for [quite some time](http://arstechnica.com/business/2010/03/why-ad-blocking-is-devastating-to-the-sites-you-love/). The basic argument is that many sites rely on advertising revenue to cover not just their costs, but also to turn a profit. And these web-based companies are (justifiably) concerned that ad-blocking could reduce (or destroy) that revenue stream, which might force them to shutdown.

To which I say, "so what?"

I'm not trying to be mean, but the fact is that [lots](https://en.wikipedia.org/wiki/List_of_defunct_retailers_of_the_United_States) and [lots](http://www.statisticbrain.com/startup-failure-by-industry/) of businesses are forced to close every year, and many (most?) of them close because they have what some might call a "flawed business model". Like [some others](http://entreproducer.com/online-advertising/), I believe that's exactly what the "web advertising" model is, because if it wasn't, no one would be blocking the ads, there would be no heated discussion about it, and blog posts like this one would never exist. I mean, some may liken ad-blocking to stealing, but others see it for what it actually is - [disruption](http://www.ideafaktory.com/technology/ad-blocking-web-of-lies/).

Look, I've been online long enough to remember the early attempts at monetizing the web: first came the embedded banner ads, which paid-per-view, but were easily ignored by end users; then came the pop-up (and pop-under) ads, which were still pay-per-view, but which couldn't be ignored (unless you turned them off, since they relied on JavaScript); then came embedded banners with a "pay-per-click" model, which didn't work because nobody wanted to actually click the links. And as each one rose to prominence, there were always those crying for people to engage with their ads ("If you don't click on one of my ads, I'll be forced to shut my site down!"). But the web remains.

And that's part of why I titled this the way I did. Even if the commercial web went away (which, let's be honest, it probably won't), it wouldn't be the end of the world: many sites which rely on [donations](https://wikipedia.org) or [subscriptions](http://ft.com/) would remain, as would [storefronts](https://amazon.com/) and sites that support [physical](https://samsung.com) [things](http://hasbro.com). Plus, there are still many sites which are run more-or-less as hobbies, paid for by the people [who run them](https://itsericwoodward.com/). And, despite what the anti-blockers would say, there are [other successful revenue models out there](https://medium.com/on-blendle/blendle-a-radical-experiment-with-micropayments-in-journalism-365-days-later-f3b799022edc).

So, if you are a blogger or news site who is concerned about how this change will affect your bottom line, you have my sympathy: not because I block your ads (which I do), but because you put your faith in a fundamentally flawed business model (and believe me, [you aren't the only one](http://the-digital-reader.com/2015/06/03/no-readers-have-no-obligation-to-support-a-publishers-flawed-model-or-bad-decisions/)). If, however, you think I'm wrong, then I encourage you to take the next obvious step and start blocking (or [Comic Sans-ing](https://twitter.com/howtogeek/status/638861518575173632)) users who run ad blockers. If your content is worth viewing ads for, then people who run blockers will turn them off just so they can see it. But be prepared for the horrifying truth: when people have to actually pay for something (either with their eyeballs and "unblock" buttons, or with cold-hard cash), your site may not be good/interesting/original enough to actually generate revenue. Again, you have my sympathy... but not my cooperation.

[It has recently been asked](http://oleb.net/blog/2015/08/is-it-immoral-to-not-block-ads/) what the web might have looked like if the ad-based model had never taken off. Since we can't rewind the clock, we can't know for sure what course history may have taken in that instance. But if we keep running ad-blockers long enough, we may yet find out.
