---
title: The Mythic Wars Have Begun!
description: My new card game has been published, so I wrote a card database for it.
tags: code MythicWars CodexMythica games
is_draft: false
date_pub: 2018-02-18T22:47:06.239Z
section: updates
content_type: journal
was_pushed: false
---

TL;DR - I made a [game](https://mythicwarsgame.com/) and got it [published](https://www.kickstarter.com/projects/603868199/mythic-wars-clash-of-the-gods-and-cthulhu-rises/posts/2095980), so I made an [app](https://codex.mythicwarsgame.com/) to help people play the game, and [published](https://github.com/ItsEricWoodward/codex-mythica) that, too.

ICYMI, [the card game I designed](https://mythicwarsgame.com/) and [ran a Kickstarter for](https://www.kickstarter.com/projects/603868199/mythic-wars-clash-of-the-gods-and-cthulhu-rises/) was [finally published a few months ago](https://www.kickstarter.com/projects/603868199/mythic-wars-clash-of-the-gods-and-cthulhu-rises/posts/2095980).

&lt;gratuitous-plug&gt; It's called [Mythic Wars: Clash of the Gods](https://mythicwarsgame.com/), and it's available now at many fine gaming stores, or directly from either [the Excalibre Games website](http://excalibregames.com/) or [Amazon](https://www.amazon.com/s/ref=nb_sb_noss?url=search-alias%3Daps&field-keywords=mythic+wars+clash+of+the+gods)! &lt;/gratuitous-plug&gt;

I had alot of fun designing and playtesting the game, and I'm quite pleased with the finished product. While I admit that I found the entire Kickstarting and publishing process to be somewhat less fun (and quite eye-opening), overall, the fact that I can now hold my game in my hands (and see it for sale at [my friendly local game store](https://www.facebook.com/pages/Scotts-Collectibles/190794444295850)) makes me enormously happy.

<figure>
  <image src="/images/updates/mw-scotts.jpg" />
  <figcaption>My game, on a shelf, AT A STORE!<figcaption>
</figure>

Since I am [a code monkey by trade](https://itsericwoodward.com/about.html) (and [a web developer by choice](https://blog.itsericwoodward.com/2015/developing-the-web)), I wanted to complement the game's publication with the release of a simple, searchable database of all of the cards available for it. Taking inspiration from [the Gatherer, the official database for Magic: the Gathering cards](http://gatherer.wizards.com/) (the best example of such an application that I'm aware of), I mocked up something over the course of weekend, tweaked it over the course of a couple more weekends, and soon, [The Codex Mythica](https://codex.mythicwarsgame.com/) was born.

It's my first publicly-available [Node](https://nodejs.org/) / [Express](http://expressjs.com/) application, so the code's kinda ugly, but I think it has some neat features, like a responsive layout designed to work well on different screens and devices, and a category-based searching / filtering system for sorting and selecting cards (along with the obligatory word search functionality). Plus, each card has links to both its art and to the [Wikipedia](https://wikipedia.org/) entry for the its subject (or the [Lovecraft wiki](http://lovecraft.wikia.com/wiki/Main_Page) entry, in the case of some of [the Outer Gods and their minions](https://codex.mythicwarsgame.com/cards/s01r)).

It also (finally) gave me an excuse to share something on GitHub! You can find it at https://github.com/ItsEricWoodward/codex-mythica

&lt;gratuitous-plug&gt; So, if you like games about gatherings of mages, ascended beings, or worlds where war is crafted, check out [Mythic Wars: Clash of the Gods](https://mythicwarsgame.com/), available now at many fine gaming stores, or directly from either [the Excalibre Games website](http://excalibregames.com/) or [Amazon](https://www.amazon.com/s/ref=nb_sb_noss?url=search-alias%3Daps&field-keywords=mythic+wars+clash+of+the+gods)! &lt;/gratuitous-plug&gt;

(Sorry, I'm contractually obligated to get in one more of those.)

Anyways, if you have any suggestions for The Codex Mythica, feel free to [open an issue on GitHub](https://github.com/ItsEricWoodward/codex-mythica/issues) or
<a rel="me" class="u-url url u-email" title="&#69;&#109;&#97;&#105;&#108;" href="&#109;&#x61;&#x69;&#108;&#116;&#x6f;&#58;&#x65;&#x72;&#x69;&#x63;&#64;&#x69;&#116;&#x73;&#x65;&#114;&#x69;&#x63;&#119;&#111;&#111;&#x64;&#x77;&#97;&#x72;&#100;&#x2e;&#99;&#111;&#109;">drop me a line</a> (I can't guarantee I'll implement it, but I always appreciate the suggestions).
