---
title: Fixing Gedit
date_pub: 2018-05-15T00:00:00-04:00
date_upd: 2018-12-01T14:43:00-05:00
content_type: journal
tags: NoteToMyFutureSelf gedit Ubuntu
description: Notes about some of the settings that I recommend for gedit.
---
I tend to use [Atom](https://atom.io/) when I'm working on code, but given the choice, I prefer to use more basic text editors when I'm just making / re-reading notes (something I do alot).

In my laptop's previous life, it had a runaway memory issue with #gedit that made it impossible to use, but since upgrading to #Ubuntu 18.04, I haven't had any troubles with it, so it's been my default text editor once again.

Unfortunately, one issue I've continued to run into is that, no matter how many times I adjust the editor settings in the GUI (for tab size, auto-indent, and [use-spaces-for-tabs-goddammit](https://www.jwz.org/doc/tabs-vs-spaces.html)), those changes are lost on reboot.

So, this time, rather than making the same futile changes in the application, I decided to use (what I think are) the commands to permanently change those settings.

If you're having the same problems, type this in your shell of choice (ENTER after each one):

```shell
> gsettings set org.gnome.gedit.preferences.editor tabs-size 2
> gsettings set org.gnome.gedit.preferences.editor auto-indent true
> gsettings set org.gnome.gedit.preferences.editor insert-spaces true
```

I've rebooted the machine since I put these commands in, and so far, so good. Of course, this may change by the next LTS release, but these settings should keep my happy for the next couple of years, at least (and I'm posting it here primarily as a #NoteToMyFutureSelf).
