---
title: Loose Ideas for the Next Social Web
date_pub: 2018-06-26T00:00:00-04:00
date_upd: 2018-12-01T14:42:00-05:00
content_type: journal
tags: SocialMedia web offline fediverse WebDev
description: Some thoughts about what I would like to see next in the social media / web space.
---
Inspired by both [this toot](https://octodon.social/@kensanata/100270464515352834) and my recent dabblings in [the Fediverse](https://wonderdome.net/), I just wanted to take a moment and collect some thoughts about what I would like to see next in the #SocialMedia / #web space.

+ I like the idea of using a hub-and-spoke model, where each actual edge device (phone / tablet / etc.) connects to some kind of always-on server (either a cheap virtual machine or a home-based server), which would be run by a tech-enabling friend, like BBSes used to be.
+ All content creation and such would occur on the edge device, probably via a [progressive web app](https://adactio.com/journal/13884) hosted on the hub (to enable #offline creating), and which would connect to its hub when convenient to upload any newly created content.
  + Here, "content" means basically anything that you can create on a social media site - text, photos, replies, whatnot.
+ The content would be marked up with [IndieWeb](https://indieweb.org/) [microformats-2](http://microformats.org/) tags, enabling easy consumption / sharing.
+ Since the content creation / editing would occur on the spoke devices, the hub would be used primarily for caching and speedy connectivity (to prevent issues with asymmetric connection speeds that would prevent direct sharing between the edge devices).
+ The hub would collect incoming messages for the user and cache them until the user's device can connect to the hub to pull them down into their edge device(s).
+ The hub would also support [webmentions](http://webmention.org/) (both in and out), [webfinger](https://webfinger.net/), and any other useful protocols ([ActivityPub](https://www.w3.org/TR/activitypub/), to enable more clients?).
+ Ideally, each user of this kind of system would have a subdomain of their own (https://eric.example.com), which has their public info, profile pic, and public posts, and which could serve as a [Web sign-in](https://indieweb.org/How_to_set_up_web_sign-in_on_your_own_domain) endpoint via the presence of an [h-card](http://microformats.org/wiki/h-card) (listing their OAuth2-compatible accounts).

I freely admit that this idea still has some issues, since it is both incredibly hand-wavy and would still require tech-smart gatekeepers to run the hubs, but eventually even that second issue could be mitigated somewhat by turning the software into a single-click install option for a Pi or similar device (or pre-installed on such a device, with a plug-and-play setup of some kind, or pre-built images for VPS hosting).

I'm open to thoughts / suggestions / comments.
