---
title: Web Site Re-Re-Re-Relaunch!
content_type: journal
date_pub: 2022-07-21T00:59:00-04:00
description: Website maintenance navel-gazing.
tags: blogging web meta
---

Greetings, and welcome the <strike>bi-annual</strike> <strike>tri-annual</strike> periodic relaunch of my website!

Yes, after a few years of neglect, I finally got around to updating it again.

Like the last few versions, it's mostly a static site generated by Javascript. The biggest change with this iteration is the lack of a central library for doing all of the heavy-lifting. No more [harp](https://harpjs.com/) or [gulp](https://gulpjs.com/) - instead, I'm using a hodge-podge of different, smaller libraries (like [ejs](https://github.com/mde/ejs) and [front-matter](https://github.com/jxson/front-matter)) which I string together via a series of fairly short js files, (mostly) all using modern `async` and `await` code to do things in the right order.

The end result is that it's _bad fast_, taking the build time down from 10+ seconds to under 2 (although that may not be a fair comparison, as it doesn't do _everything_ the gulp version did... yet).

Some of the biggest changes under the hood:

- I replaced [marked](https://marked.js.org/) and [commonmark.js](https://github.com/commonmark/commonmark.js) with the better fit (for me) [markdown-it](https://github.com/markdown-it/markdown-it#readme),
- I simplified many of my templates, purging a number of unneeded partials,
- I made each journal entry link to the two chronologically-nearest entires,
- I upgraded most of my config files to use [json5](https://github.com/json5/json5) (the self-proclaimed "JSON for Humans"), and
- I added a [now page](/now.html) (inspired by [nownownow.com](https://nownownow.com/about)).

Once I get the source code cleaned up a bit more, I'll post it in a public git repo.

I've got some more ideas for what to do next, like adding in-browser file editing, a homespun blogging engine, and expanded IndieWeb support (most likely via the IndieKit project) with an eye towards IndieAuth, MicroPub, and WebSub.

It's all part of my (continuing) attempt to rest control back of my social-media-life from the corporate silos.

Along the way, I hope to grow the content-side of this web presence as well, so keep on the lookout for more new stuff, like:

- notes from my various RPG campaigns,
- homebrew for D&D and OSR games,
- my custom Magic cards,
- some hardware stuff I've been playing with,
- and a whole lot more!

Thanks for stopping by!
