---
title: Site Updates - Now with More Magic and LibreJS Validation!
content_type: journal
date_pub: 2022-09-18T11:48:00-04:00
description: I added some new content (including custom Magic and Illuminati cards, and an expanded blogroll) and did some JS housecleaning.
tags: blogging FreeSoftwareWin meta web
---

A couple of website updates to announce:

-   I added a bunch of [custom (unofficial) cards I've made](/magic-cards/index.html) over the years for my personal paper-crack, [Magic: the Gathering](https://magic.wizards.com/en).
-   I also added some [custom Illuminati groups that I designed](/games/illuminati/index.html) a few years ago.
-   I added a new [LinkList for Tabletop Role-Playing Game Resources](/linklists/tabletop_rpg).
-   I expanded the [blogroll](/linklists/blogroll/index.html) to include more sites I like to read (plus some vlogs).
-   I updated the tags throughout the site to be links.
-   Finally, I fixed the JS on the client side, so that things like relative timestamps and reading time _should_ work again.

While I was fixing the client code, I went and disabled my (already broken) concatentation and minification script, opting instead to serve up all 8(!) JS library files individually (and, thanks to [HTTP/2](https://en.wikipedia.org/wiki/HTTP/2), concurrently)

I mean, I'm using minification for the libraries I'm importing (I'm not a monster), but I don't use it for the (small) bit of code that ties those libraries together and makes the site work. This way, anyone can see how (and why) the site works the way it does, [as it should be](/journal/2015/03-18-developing-the-web.html), and all without the added complexity of generating source maps or similar unnecessary complications.

And for those minified libraries, I've provided a link to each library's repo and added automated license info, so the [LibreJS validator](https://www.gnu.org/software/librejs/) gives this site a &#x2705;. #FreeSoftwareWin!
